package org.jastadd.ros2rag.tests;

/**
 * Utility methods for tests.
 *
 * @author rschoene - Initial contribution
 */
public class TestUtils {

  public static final double DELTA = 0.001d;

  public static String getMqttHost() {
    if (System.getenv("GITLAB_CI") != null) {
      // we are in the CI, so use "mqtt" as host
      return "mqtt";
    } {
      // else assume a locally running mqtt broker
      return "localhost";
    }
  }

  public static int getMqttDefaultPort() {
    return 1883;
  }

}
